Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jmx.mx4j
Class MX4JDynamicMBeanFactory

    java.lang.Object
      org.picocontainer.gems.jmx.StandardMBeanFactory
          org.picocontainer.gems.jmx.mx4j.MX4JDynamicMBeanFactory

All Implemented Interfaces:
  DynamicMBeanFactory

    public class MX4JDynamicMBeanFactory

extends StandardMBeanFactory

This is the a factory for creating DynamicMBean instances. However it is tied specifically to MX4J. Those not interested in being dependent on MX4J should implement another Factory and register it to the container. The single difference to the StandardMBeanFactory is, that it does not need a special management interface for a component to expose.

Author:
  Michael Ward

Constructor Summary
`MX4JDynamicMBeanFactory()`

Method Summary
`DynamicMBean` | `create(Object componentInstance, Class management, MBeanInfo mBeanInfo)` Create a MX4JDynamicMBean for the component.

Methods inherited from class org.picocontainer.gems.jmx.StandardMBeanFactory
`getDefaultManagementInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MX4JDynamicMBeanFactory

    public MX4JDynamicMBeanFactory()

Method Detail

### create

    public DynamicMBean create(Object componentInstance,
                               Class management,
                               MBeanInfo mBeanInfo)

  Create a MX4JDynamicMBean for the component. MX4J is only used, if management is `null`.

  Specified by:
    `create` in interface `DynamicMBeanFactory`
  Overrides:
    `create` in class `StandardMBeanFactory`
  Parameters:
    `componentInstance` - the instance of the Object being exposed for management.
    `management` - The management interface. If `null` the implementation will use the interface complying with the naming convention for management interfaces.
    `mBeanInfo` - The `MBeanInfo` to use. If `null` the `StandardMBean` will use an automatically generated one.
  Returns:
    Returns a `StandardMBean`. If the mBeanInfo was not null, it is an instance of a `StandardNanoMBean`.
  See Also:
    `StandardMBeanFactory.create(java.lang.Object, java.lang.Class, javax.management.MBeanInfo)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.